from django.urls import path
from django.contrib.auth.views import LogoutView
from .views import AddNoteView, ExportNoteView, HomeView, ImportNoteView, DeliberationView,add_note_views
from . import views,enseignant_pdf_views,enseignant_profile_views,dg_ufr_views,respo_ped_views,presindent_views,vice_presindent_views,handle_pdf_views,export_views


app_name = 'EspaceEnseignant'
urlpatterns = [
    path('logout', LogoutView.as_view(next_page="EspaceEnseignant:login", template_name="EspaceEnseignant/login.html"), name="logout"),
    path('notes/<int:ecueId>', AddNoteView.as_view(), name="notes"),
    path('import/<int:ecueId>', ImportNoteView, name="import"),
    path('export/<int:ecueId>/<int:sessionId>/<int:delib>', ExportNoteView, name="export"),
    path('deliberation/<int:ecueId>', DeliberationView.as_view(), name="deliberation"),
    #path('home', HomeView.as_view(), name='Home'),
    path('home', views.enseignant_home, name='Home'),
    path('add_note_views/<int:id>/<int:an>/', views.add_note_views, name='add_note_views'),


    path('resultat_ecue_pdf/<int:id>/<int:an>/<int:niveau>/<int:ufr>/', enseignant_pdf_views.resultat_ecue_pdf_view, name='resultat_ecue_pdf'),
    path('resultat_ue_pdf/<int:id>/<int:an>/', enseignant_pdf_views.resultat_ue_pdf_view, name='resultat_ue_pdf'),
    path('resultat_ue_new_pdf/<int:id>/', enseignant_pdf_views.resultat_ue_pdf_view_new, name='resultat_ue_new_pdf'),
    path('pv_pdf_view/<int:annee>/<int:niveau>/<int:semestre>/<int:ufr>/', enseignant_pdf_views.pv_pdf_view, name='pv_pdf_view'),
    path('add_note_views/<int:ecue>/add_note/<int:id>/<int:ev>/', views.add_note, name='add_note'),
    path('manage_password/', views.manage_password, name='manage_password'),
    path('js_pv_view/<int:annee>/<int:niveau>/<int:semestre>/<int:ufr>/', enseignant_pdf_views.js_pv_view, name='js_pv_view'),
    path('pv_annuel_2/<int:annee>/<int:niveau>/<int:semestre>/<int:ufr>/', enseignant_pdf_views.pv_annuel_2, name='pv_annuel_2'),
    path('global_stat_pv_view/<int:annee>/<int:niveau>/<int:semestre>/<int:ufr>/', enseignant_pdf_views.global_stat_pv_view, name='global_stat_pv_view'),
    path('refuses_ue_pdf_view/<int:annee>/<int:niveau>/<int:semestre>/<int:ufr>/<int:ue>/', enseignant_pdf_views.refuses_ue_pdf_view, name='refuses_ue_pdf_view'),
    path('refuses_ue_annuel_pdf/<int:annee>/<int:niveau>/<int:semestre>/<int:ufr>/<int:ue>/', enseignant_pdf_views.refuses_ue_annuel_pdf, name='refuses_ue_annuel_pdf'),
    path('valides_ue_pdf_view/<int:annee>/<int:niveau>/<int:semestre>/<int:ufr>/<int:ue>/', enseignant_pdf_views.valides_ue_pdf_view, name='valides_ue_pdf_view'),
    path('valides_ecue_pdf_view/<int:annee>/<int:niveau>/<int:semestre>/<int:ufr>/<int:ecue>/', enseignant_pdf_views.valides_ecue_pdf_view, name='valides_ecue_pdf_view'),
    path('refuses_ecue_pdf_view/<int:annee>/<int:niveau>/<int:semestre>/<int:ufr>/<int:ecue>/', enseignant_pdf_views.refuses_ecue_pdf_view, name='refuses_ecue_pdf_view'),
    path('syllabus_ecue_pdf/<int:id>/', enseignant_pdf_views.syllabus_ecue_pdf, name='syllabus_ecue_pdf'),
    path('dr_ufr_seance_pdf/<ufr>/<ens>/<ecue>/<status>/<debut>/<fin>/', enseignant_pdf_views.dr_ufr_seance_pdf, name='dr_ufr_seance_pdf'),

    path('valides_sem_sess_1_pdf_view/<int:annee>/<int:semestre>/<int:ufr>/<arg>/', handle_pdf_views.valides_sem_sess_1_pdf_view, name='valides_sem_sess_1_pdf_view'),
    path('note_ecue_session_2_pdf_view/<int:annee>/<int:niveau>/<int:semestre>/<int:ufr>/<int:ecue>/', handle_pdf_views.note_ecue_session_2_pdf_view, name='note_ecue_session_2_pdf_view'),
    path('moyenne_ue_sess_2_pdf/<int:annee>/<int:niveau>/<int:semestre>/<int:ufr>/<int:ue>/', handle_pdf_views.moyenne_ue_sess_2_pdf, name='moyenne_ue_sess_2_pdf'),

    # PROFIL ENSEIGNANT
    path('enseignant_profile/', enseignant_profile_views.enseignant_profile, name='enseignant_profile'),
    path('change_password/', enseignant_profile_views.enseignant_profile_manage_password, name='change_password'),
    path('infos_personnelles/', enseignant_profile_views.enseignant_profile_infos, name='infos_personnelles'),
    path('enseignant_edt/', enseignant_profile_views.enseignant_edt, name='enseignant_edt'),
    path('syllabus_ecue_home/<int:id>/', enseignant_profile_views.syllabus_ecue_home, name='syllabus_ecue_home'),
    path('syllabus_ecue_add/<int:id>/', enseignant_profile_views.syllabus_ecue_add, name='syllabus_ecue_add'),
    path('syllabus_ecue_edit/<int:id>/<int:ecue>/', enseignant_profile_views.syllabus_ecue_edit, name='syllabus_ecue_edit'),
    path('seance_cours/', enseignant_profile_views.seance_cours, name='seance_cours'),
    path('edit_seance_cours/<int:id>/', enseignant_profile_views.edit_seance_cours, name='edit_seance_cours'),
    path('marquer_absence/<int:id>/<int:an>/', enseignant_profile_views.marquer_absence, name='marquer_absence'),

    path('Type_cours_list/', enseignant_profile_views.Type_cours_list, name='Type_cours_list'),
    path('Type_cours_edit/<int:id>/', enseignant_profile_views.Type_cours_edit, name='Type_cours_edit'),
    path('Type_pub_list/', enseignant_profile_views.Type_pub_list, name='Type_pub_list'),
    path('Type_pub_edit/<int:id>/', enseignant_profile_views.Type_pub_edit, name='Type_pub_edit'),
    path('equipe_list/', enseignant_profile_views.equipe_list, name='equipe_list'),
    path('equipe_edit/<int:id>/', enseignant_profile_views.equipe_edit, name='equipe_edit'),
    path('ps_cours_list/', enseignant_profile_views.ps_cours_list, name='ps_cours_list'),
    path('ps_cours_edit/<int:id>/', enseignant_profile_views.ps_cours_edit, name='ps_cours_edit'),
    path('support_list/', enseignant_profile_views.support_list, name='support_list'),
    path('support_edit/<int:id>/', enseignant_profile_views.support_edit, name='support_edit'),
    path('pub_list/', enseignant_profile_views.pub_list, name='pub_list'),
    path('pub_edit/<int:id>/', enseignant_profile_views.pub_edit, name='pub_edit'),
    path('logiciel_list/', enseignant_profile_views.logiciel_list, name='logiciel_list'),
    path('logiciel_edit/<int:id>/', enseignant_profile_views.logiciel_edit, name='logiciel_edit'),
    path('enseignant_profil_edit', enseignant_profile_views.enseignant_profil_edit, name='enseignant_profil_edit'),

    # DR UFR
    path('ufr_home/', dg_ufr_views.dr_urf_profile, name='ufr_home'),
    path('dr_ufr_ue/<int:id>/', dg_ufr_views.dr_ufr_ue, name='dr_ufr_ue'),
    path('dr_ufr_ecue/<int:id>/', dg_ufr_views.dr_ufr_ecue, name='dr_ufr_ecue'),
    path('dr_ufr_manage_password/', dg_ufr_views.dr_ufr_manage_password, name='dr_ufr_manage_password'),
    path('dr_ufr_profile_infos/', dg_ufr_views.dr_ufr_profile_infos, name='dr_ufr_profile_infos'),
    path('add_ecue/<int:id>/', dg_ufr_views.add_ecue, name='add_ecue'),
    path('dr_ufr_enseignant_infos/<int:id>/', dg_ufr_views.dr_ufr_enseignant_infos, name='dr_ecue_infos'),
    path('emploi_du_temps/', dg_ufr_views.emploi_du_temps_list, name='emploi_du_temps_list'),
    path('emploi_du_temps_add/<int:id>/', dg_ufr_views.emploi_du_temps_add, name='emploi_du_temps_add'),
    path('edit_programme/<int:id>/', dg_ufr_views.edit_programme, name='edit_programme'),
    path('dr_ufr_etudiant_ecue_note/<int:id>/', dg_ufr_views.dr_ufr_etudiant_ecue_note, name='dr_ufr_etudiant_ecue_note'),
    path('stop_programme/', dg_ufr_views.stop_programme, name='stop_programme'),
    path('stop/<int:id>/', dg_ufr_views.stop, name='stop'),
    path('periode_list/', dg_ufr_views.periode_list, name='periode_list'),
    path('ue_home/<int:id>/<int:an>/<int:niveau>/<int:ufr>/', dg_ufr_views.dr_ufr_ue_home, name='ue_home'),
    path('ecue_note_views/<int:id>/<int:an>/<int:niveau>/<int:ufr>/', dg_ufr_views.ecue_note_views, name='ecue_note_views'),
    path('pv_home/', dg_ufr_views.pv_home, name='pv_home'),
    path('dr_reclamation_list/', dg_ufr_views.dr_reclamation_list, name='dr_reclamation_list'),
    path('dr_reclamation_detail/<int:id>/', dg_ufr_views.dr_reclamation_detail, name='dr_reclamation_detail'),
    path('stats_semestre_home/<int:annee>/<int:niveau>/<int:semestre>/<int:ufr>/', dg_ufr_views.stats_semestre_home, name='stats_semestre_home'),
    path('new_year_update/', dg_ufr_views.new_year_update, name='new_year_update'),
    path('dr_ufr_seance_home/', dg_ufr_views.dr_ufr_seance_home, name='dr_ufr_seance_home'),
    path('dr_ufr_inactive_ue_home/', dg_ufr_views.dr_ufr_inactive_ue_home, name='dr_ufr_inactive_ue_home'),
    path('compensation_home/', dg_ufr_views.compensation_home, name='compensation_home'),
    path('compens_etudiant/<int:id>/<int:an>/', dg_ufr_views.compens_etudiant, name='compens_etudiant'),
    path('groupe_etude_list/', dg_ufr_views.groupe_etude_list, name='groupe_etude_list'),
    path('groupe_etude_edit/<int:id>/', dg_ufr_views.groupe_etude_edit, name='groupe_etude_edit'),
    path('groupe_enseignant_list/<int:id>/', dg_ufr_views.groupe_enseignant_list, name='groupe_enseignant_list'),
    path('groupe_etudiant_list/<int:id>/', dg_ufr_views.groupe_etudiant_list, name='groupe_etudiant_list'),
    path('flash_info_list/', dg_ufr_views.flash_info_list, name='flash_info_list'),
    path('flash_info_edit/<int:id>/', dg_ufr_views.flash_info_edit, name='flash_info_edit'),
    path('dr_ufr_classe_list/', dg_ufr_views.dr_ufr_classe_list, name='dr_ufr_classe_list'),

    # RESPONSABLE PEDAGOGIQUE
    path('respo_pedag_home/', respo_ped_views.respo_pedag_home, name='respo_pedag_home'),
    path('rp_programme/', respo_ped_views.rp_programme, name='rp_programme'),
    path('rp_view_programme/', respo_ped_views.rp_view_programme, name='rp_view_programme'),
    path('rp_add_salle/<int:id>/', respo_ped_views.rp_add_salle, name='rp_add_salle'),

    # PRESIDENT USP
    path('president_usp/', presindent_views.president_home, name='president_usp'),
    path('pr_manage_password/', presindent_views.pr_manage_password, name='pr_manage_password'),
    path('pr_enseignant_list/<int:ufr>/<int:an>/', presindent_views.pr_enseignant_list, name='pr_enseignant_list'),
    path('pr_etudiant_list/<int:ufr>/<int:an>/', presindent_views.pr_etudiant_list, name='pr_etudiant_list'),

    # VICE PRESIDENT USP
    path('vice_president_usp/', vice_presindent_views.vice_president_home, name='vice_president_usp'),
    path('vpr_ufr_home/<int:id>/', vice_presindent_views.vpr_ufr_home, name='vpr_ufr_home'),
    path('vpr_ue/<int:id>/', vice_presindent_views.vpr_ue, name='vpr_ue'),
    path('vpr_ecue/<int:id>/', vice_presindent_views.vpr_ecue, name='vpr_ecue'),
    path('vpr_pv_view/<int:id>/', vice_presindent_views.vpr_pv_view, name='vpr_pv_view'),
    path('vpr_etudiant_list/<int:id>/', vice_presindent_views.vpr_etudiant_list, name='vpr_etudiant_list'),
    path('vpr_etudiant_ue/<int:id>/<int:an>/', vice_presindent_views.vpr_etudiant_ue, name='vpr_etudiant_ue'),
    path('vpr_etudiant_detail_ue/<int:ue>/<int:id>/<int:an>/', vice_presindent_views.vpr_etudiant_detail_ue, name='vpr_etudiant_detail_ue'),
    path('vpr_enseignant_list/<int:id>/', vice_presindent_views.vpr_enseignant_list, name='vpr_enseignant_list'),


    # EXPORT
    path('groupe_etudiant_export/<int:id>/', export_views.groupe_etudiant_export, name='groupe_etudiant_export'),
    path('pv_annuel_export/<int:annee>/<int:niveau>/<int:ufr>/', export_views.pv_annuel_export, name='pv_annuel_export'),
    path('dr_ufr_etudiant_ecue_export/<int:id>/<int:an>/', export_views.dr_ufr_etudiant_ecue_export, name='dr_ufr_etudiant_ecue_export'),
    path('etudiant_inscrit_export/', export_views.etudiant_inscrit_export, name='etudiant_inscrit_export'),


]